## python-rebulk 3.1.0

=== requirements.txt ===
# see https://caremad.io/blog/setup-vs-requirement/
-e .

## python-rebulk 0.9.0

=== debian/changelog ===
python-rebulk (0.9.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:00:20 +0800

python-rebulk (0.9.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * Enable autopkgtest-pkg-python testsuite
  * d/p/0001-Remove-embedded-toposort.patch:
    Add toposort into install_requires (Closes: #896269)
  * Bump debhelper compat level to 11
  * Standards version is 4.2.1 now (no changes)
  * d/copyright: Remove unused paragraph

 -- Ondřej Nový <onovy@debian.org>  Mon, 27 Aug 2018 13:08:35 +0200

python-rebulk (0.9.0-1) unstable; urgency=medium

  [ Etienne Millon ]
  * Initial release. (Closes: #877103)

 -- Etienne Millon <me@emillon.org>  Thu, 28 Sep 2017 21:13:27 +0200

=== debian/control ===
Source: python-rebulk
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Etienne Millon <me@emillon.org>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3-all,
 python3-pytest,
 python3-pytest-runner,
 python3-setuptools,
 python3-six,
 python3-toposort,
Standards-Version: 4.2.1
Homepage: https://github.com/Toilal/rebulk
Vcs-Git: https://salsa.debian.org/python-team/modules/python-rebulk.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-rebulk
Testsuite: autopkgtest-pkg-python

Package: python3-rebulk
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Define simple search patterns in bulk to perform advanced matching on strings
 ReBulk is a Python library that performs advanced searches in strings that
 would be hard to implement using re module or String methods only.
 .
 It includes some features like Patterns, Match, Rule that allows developers to
 build a custom and complex string matcher using a readable and extendable API.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/rebulk/rebulk-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-rebulk 2.0.0

=== debian/changelog ===
python-rebulk (2.0.0-1) unstable; urgency=medium

  * New upstream release; Closes: #940065
  * debian/patches/0001-Remove-embedded-toposort.patch
    - refresh patch
  * debian/control
    - bump Standards-Version to 4.4.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 20 Sep 2019 23:28:01 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Etienne Millon <me@emillon.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
  dh-python,
  python3-all,
  python3-pytest,
@@ -12,7 +12,7 @@
  python3-setuptools,
  python3-six,
  python3-toposort,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/Toilal/rebulk
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-rebulk.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-rebulk

## python-rebulk 3.0.1

=== debian/changelog ===
python-rebulk (3.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Jan 2021 03:27:23 -0500

python-rebulk (3.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * New upstream release
  * debian/watch
    - track github releases instead of PyPI ones
  * debian/control
    - add myself to Uploaders
    - run wrap-and-sort
    - bump Standards-Version to 4.5.1 (no changes needed)
    - bump compat level to 13
  * debian/patches/0001-Remove-embedded-toposort.patch
    - refresh patch

 -- Sandro Tosi <morph@debian.org>  Fri, 25 Dec 2020 01:53:42 -0500

=== debian/control ===
Source: python-rebulk
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Etienne Millon <me@emillon.org>,
           Sandro Tosi <morph@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest,
               python3-pytest-runner,
               python3-setuptools,
               python3-six,
               python3-toposort,
Standards-Version: 4.5.1
Homepage: https://github.com/Toilal/rebulk
Vcs-Git: https://salsa.debian.org/python-team/packages/python-rebulk.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rebulk
Testsuite: autopkgtest-pkg-python

Package: python3-rebulk
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Define simple search patterns in bulk to perform advanced matching on strings
 ReBulk is a Python library that performs advanced searches in strings that
 would be hard to implement using re module or String methods only.
 .
 It includes some features like Patterns, Match, Rule that allows developers to
 build a custom and complex string matcher using a readable and extendable API.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=rebulk

%:
	dh $@ --with=python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -m pytest --pyargs rebulk.test; done
Depends: python3-all, python3-rebulk, python3-pytest

## python-rebulk 3.1.0

=== debian/changelog ===
python-rebulk (3.1.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.6.0.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Dec 2021 23:51:40 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-setuptools,
                python3-six,
                python3-toposort,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/Toilal/rebulk
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-rebulk.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rebulk

## python-rebulk 3.3.0

=== debian/changelog ===
python-rebulk (3.3.0-4) unstable; urgency=medium

  * Team upload.
  * Weird runtests.py is never called, drop python3-pkg-resources completely
    (Closes: #1083700)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Jan 2025 09:15:36 +0100

python-rebulk (3.3.0-3) unstable; urgency=medium

  * Team Upload
  * Use dh-sequence-python3
  * Remove runtime dep on python3-pkg-resources, it is only needed by tests.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 13 Jan 2025 21:11:32 +0100

python-rebulk (3.3.0-2) unstable; urgency=medium

  * remove myself

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Feb 2024 01:12:09 -0500

python-rebulk (3.3.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 3.3.0
  * remove extraneous build-dep on python3-six

 -- Alexandre Detiste <tchet@debian.org>  Wed, 21 Feb 2024 00:17:06 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,12 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Etienne Millon <me@emillon.org>,
-           Sandro Tosi <morph@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-pytest,
                python3-pytest-runner,
                python3-setuptools,
-               python3-six,
                python3-toposort,
 Standards-Version: 4.6.0.1
 Homepage: https://github.com/Toilal/rebulk

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=rebulk

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-rebulk-$1.tar.gz%,uversionmangle=s/(rc|a|b|c|dev)/~$1/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
https://github.com/Toilal/rebulk/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
